Supporting Oracle compatibility mode in DB2 Enterprise Edition and DB2 Connector stage.

Technote (troubleshooting)


Problem(Abstract)

Support for DB2_COMPATIBILITY_VECTOR=ORA in DB2 Enterprise Edition and DB2 Connector stage in IBM InfoSphere Information Server.

Cause

As we do not support DB2_COMPATIBILITY_VECTOR registry variable, setting it at the database end using 'db2set' could cause the DB2EE or DB2Connector jobs to fail with incompatible datatypes or incompatible functions.

Please refer to the related technote attached in the Related Section for further details on the error.


Resolving the problem

As of now, DB2_COMPATIBILITY_VECTOR=ORA registry variable is not supported by DB2 Enterprise Edition or DB2 Connector stages.

Related information

TechNote#1459161

Cross reference information
Segment Product Component Platform Version Edition
Information Management InfoSphere Information Server

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere Information Server

Software version:

8.0, 8.0.1, 8.0.1.1, 8.0.1.2, 8.0.1.3, 8.0.2, 8.1, 8.1.0.1, 8.1.0.2, 8.1.2.5, 8.5, 8.5.0.1, 8.5.0.2, 8.5.0.3, 8.7, 8.7.0.1, 8.7.0.2, 9.1, 9.1.0.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

1640293

Modified date:

2013-06-27

Translate my page

Machine Translation

Content navigation